%define base_name apt-conf
%define distro office-server
%define Distro Office Server

Name: %base_name-%distro
Version: 4.1
Release: alt0.M41.1

Summary: A set of apt configuration files for %distribution %Distro
License: GPL
Group: System/Configuration/Packaging
Packager: Stanislav Ievlev <inger@altlinux.org>

Source: %name-%version.tar

Provides: %base_name = %version-%release, %_sysconfdir/apt/pkgpriorities
PreReq: coreutils
%{expand:%%global o_list %(for n in Castle Compact Junior Master Spring; do echo -n "apt-conf-$n "; done)}
%{?o_list:Obsoletes: %o_list}
Conflicts: apt <= 0:0.5.15cnc6-alt14

%description
This package contains default apt configuration for %distribution %Distro.

%prep
%setup -q

%install
%makeinstall REPOSITORIES='office-server-main-4.1 office-server-full-4.1 updates-4.1 branch-4.1'

%triggerpostun -- apt < 0.3.19cnc51-alt3 %{?o_list:%o_list}
f=%_sysconfdir/apt/sources.list
if [ ! -f "$f" ]; then
	if [ -f "$f".rpmsave ]; then
		cp -pf "$f".rpmsave "$f"
	elif [ -f "$f".rpmnew ]; then
		cp -pf "$f".rpmnew "$f"
	fi
fi

%files
%config(noreplace) %_sysconfdir/apt

%changelog
* Thu Nov 13 2008 Stanislav Ievlev <inger@altlinux.org> 4.1-alt0.M41.1
- Initial build

